Exception Lists

List Exception Lists

get

Returns a list of your exception lists, which can be filtered by campaign, state, or type.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
Query parameters
CampaignIdintegerOptional

Filter by the program ID the list applies to.

Statestring · enumOptional

Filter lists by their current state.

Possible values:
Typestring · enumOptional

Filter lists by whether they apply to CATEGORY or SKU.

Possible values:
Responses
200

A paginated list of exception list objects.

application/json
get
/Advertisers/{AccountSID}/ExceptionLists
cURL
200

A paginated list of exception list objects.

Create an Exception List

post

Creates a new, empty exception list for a specific campaign and type.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
Body
ActionTrackerIdstringRequired

Comma-separated list of event type IDs.

Example: 18500
CampaignIdintegerRequired

The program ID the list applies to.

Example: 1000
NamestringRequired

The display name for the exception list.

Example: USA-State-CA-Exclusions
Typestring · enumRequired

Whether this list applies to CATEGORY or SKU.

Possible values:
Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected resource.

post
/Advertisers/{AccountSID}/ExceptionLists
cURL
200

The request was successful.

Get Exception List Details

get

Retrieves the details of an existing exception list by its unique ID.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ExceptionListIdintegerRequired

The unique identifier for the exception list.

Responses
200

A single exception list object.

application/json
IdintegerOptional

The unique identifier for the exception list.

Example: 99999
NamestringOptional

The display name for the exception list.

Example: USA-State-CA-Exclusions
Statestring · enumOptional

The current state of the exception list.

Possible values:
CampaignIdintegerOptional

The program ID the list applies to.

Example: 1000
Typestring · enumOptional

Whether the list applies to CATEGORY or SKU.

Possible values:
CreatedDatestring · date-timeOptional

The date and time the list was created.

Example: 2026-01-15T10:00:00-08:00
DeactivationDatestring · date-time · nullableOptional

The date and time the list was deactivated, if applicable.

Example: 2026-12-31T23:59:59-08:00
NumberOfItemsintegerOptional

The total number of items in the list.

Example: 50
ItemsUristring · uri-referenceOptional

The unique reference to the items collection for this list.

Example: /Advertisers/<AccountSID>/ExceptionLists/99999/Items
Uristring · uri-referenceOptional

The unique reference to this exception list in the impact.com API.

Example: /Advertisers/<AccountSID>/ExceptionLists/12345
get
/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}
cURL
200

A single exception list object.

Update an Exception List

put

Updates the specified exception list's name, type, or associated action trackers.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ExceptionListIdintegerRequired

The unique identifier for the exception list to update.

Body
ActionTrackerIdstringOptional

Comma-separated list of event type IDs.

Example: 18500
NamestringOptional

The display name for the exception list.

Example: USA-State-CA-Exclusions
Typestring · enumOptional

Whether this list applies to CATEGORY or SKU.

Possible values:
Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected resource.

put
/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}
cURL
200

The request was successful.

Last updated